Permalink
Browse files

bumping version and updating octokit version to work with the new v3 api

  • Loading branch information...
mmmries committed Jun 21, 2012
1 parent 610019c commit 826c44bd800b8e07f621976b09a89b4c7fa4d90a
Showing with 3 additions and 3 deletions.
  1. +1 −1 github_pulley.gemspec
  2. +1 −1 lib/github_pulley/base.rb
  3. +1 −1 lib/github_pulley/version.rb
View
@@ -18,6 +18,6 @@ Gem::Specification.new do |s|
s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
s.require_paths = ["lib"]
s.add_runtime_dependency 'json'
- s.add_runtime_dependency 'octokit', "= 0.6.4"
+ s.add_runtime_dependency 'octokit', "= 1.7.0"
s.add_runtime_dependency 'optitron'
end
@@ -57,7 +57,7 @@ def github_user
def github_token
@github_token ||= `git config github.token`.strip
- raise Error, "Please set github.token" if @github_token.empty?
+ raise Error, "Please set github.token \nExample: curl -ku #{github_user} -d '{\"scopes\":[\"repo\"],\"note\":\"pulley\"}' -X POST 'https://api.github.com/authorizations'" if @github_token.empty?
@github_token
end
@@ -1,3 +1,3 @@
module GithubPulley
- VERSION = "0.1.2"
+ VERSION = "0.1.3"
end

0 comments on commit 826c44b

Please sign in to comment.